---
title: Get staff information
slug: api/get-staff-info
description: API reference for GET endpoint: Get staff information.
docTags: 
createdAt: 2023-11-17T07:38:43.910Z
---

:::hint{type="info"}
<font color="#2166ae">**GET**</font>**&#x20;/api/staff\_info**
:::

Gets staff information using the user IDs in your system (external ID). You can retrieve information for a single staff or multiple staff.



**Request**

***

<font color="#00a2e9">**Query parameters**</font>

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**customer\_id** <font color="#a7b4c3">string Required</font>
:::

:::VerticalSplitItem
The unique Marco identifier for your company.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**customer\_system\_id** <font color="#a7b4c3">array\[string\] Required</font>
:::

:::VerticalSplitItem
The staff's user IDs in your company's system.

Example: \[49,50]
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**customer\_system\_id\_type** <font color="#a7b4c3">string Required</font>
:::

:::VerticalSplitItem
The name of your system.

Example: PS
:::
::::

***



**Example Requests**

***

::::CodeDrawer{title="Example" isResponseExpanded="true"}
:::CodeblockTabsExamples
```curl
curl 'https://api.marcopayroll.com/api:benKoCK8/api/staff_info?customer_id=99&customer_system_id=[49,50]&customer_system_id_type=PS' \
-H 'Authorization: $AUTH_TOKEN'
```

```python
import requests

url = "https://api.marcopayroll.com/api/benKoCK8/api/staff_info?customer_id=99&customer_system_id=[49,50]&customer_system_id_type=PS"

headers = {
  "accept": "application/json",
  "Authorization": "YOUR_AUTH_TOKEN"
}

response = requests.get(url, headers=headers)

print(response.text)
```
:::

:::CodeblockTabsResponses
```javascript
[
  {
    "name": "Jane Doe",
    "role": "Staff",
    "system_email": "jane.doe@mail.com",
    "id": 1316,
    "country": "DE",
    "status": "Regular",
    "offboarding_reason": "",
    "address": null,
    "birthdate": "",
    "gender": "",
    "highest_education": "",
    "nationality": "",
    "personal_email": "",
    "phone": "",
    "emergency_name": "",
    "emergency_email": "",
    "emergency_phone": "",
    "emergency_relationship": "",
    "passport_number": "",
    "passpost_issue_date": "",
    "passport_issuing_country": "",
    "passport_expiry_date": "",
    "reporting_officer": "Jim Joe",
    "job_title": "Sales Manager",
    "location": "",
    "staff_type": "System",
    "work_email": "",
    "ec_entity": "",
    "ec_type": "",
    "ec_vendor": "",
    "job_start_date": "2023-03-01",
    "probation_end_date": "2023-03-31",
    "ec_start_date": null,
    "ec_end_date": null,
    "last_working_day": null,
    "host_country": "",
    "host_staff_type": "",
    "host_ec_entity": "",
    "host_ec_vendor": "",
    "host_ec_type": "",
    "host_ec_start_date": "",
    "host_ec_end_date": "",
    "job_scope": "",
    "customer_system_id": "49",
  },
  {
    "name": "Li Lei",
    "role": "Staff",
    "system_email": "lilei@mail.com",
    "id": 1348,
    "country": "CN",
    "status": "Regular",
    "offboarding_reason": "",
    "address": null,
    "birthdate": "",
    "gender": "Male",
    "highest_education": "University",
    "nationality": "CN",
    "personal_email": "ll@mail.com",
    "phone": "8617623453456",
    "emergency_name": "Han Meimei",
    "emergency_email": "hmm@mail.com",
    "emergency_phone": "8618876546789",
    "emergency_relationship": "Mother",
    "passport_number": "EG8213789",
    "passpost_issue_date": "",
    "passport_issuing_country": "",
    "passport_expiry_date": "",
    "reporting_officer": "Tuan Tuan",
    "job_title": "Product Manager",
    "location": "Beijing",
    "staff_type": "Payroll",
    "work_email": "lilei@mail.com",
    "ec_entity": "",
    "ec_type": "Fixed-term",
    "ec_vendor": "",
    "job_start_date": "2020-01-31",
    "probation_end_date": "2020-07-01",
    "ec_start_date": "2020-01-31",
    "ec_end_date": "2025-07-01",
    "last_working_day": null,
    "host_country": "",
    "host_staff_type": "",
    "host_ec_entity": "",
    "host_ec_vendor": "",
    "host_ec_type": "",
    "host_ec_start_date": "",
    "host_ec_end_date": "",
    "job_scope": "",
    "customer_system_id": "50",
  }
]
```
:::
::::



**Response (200)**

***

A successful response will return an array of objects, with each object containing each staff's information.

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**name** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The staff's full name.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**role** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The staff's role in Marco.

Valid values: Staff, Manager, Manager & Staff, Intern
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**system\_email** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The staff's email, used to log into Marco.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**id** <font color="#a7b4c3">integer</font>
:::

:::VerticalSplitItem
The staff's unique identifier in Marco.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**country** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The staff's current country, stored as an [ISO Alpha-2 code](https://www.iban.com/country-codes).
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**status** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The staff's job status.

Valid values: Inactive, Onboarding, Probation, Regular, Offboarded
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**offboarding\_reason** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The staff's offboarding reason.

Valid values: Involuntary, Voluntary.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**&#x7B;address}** <font color="#a7b4c3">object</font>
:::

:::VerticalSplitItem
The staff's home address.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
&#x7B;address}.**city** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The city name for the staff's home address.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
&#x7B;address}.**address1** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The first address line for the staff's home address.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
&#x7B;address}.**address2** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The second address line for the staff's home address.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
&#x7B;address}.**address3** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The third address line for the staff's home address.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**birthdate** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The staff's date of birth, stored as YYYY-MM-DD.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**gender** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The staff's gender.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**highest\_education** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The staff's highest education.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**nationality** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The staff's nationality, stored as the country's [ISO Alpha-2 code](https://www.iban.com/country-codes).
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**personal\_email** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The staff's personal email.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**phone** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The staff's phone number.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**emergency\_name** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The name of the staff's emergency contact.
:::
::::



::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**emergency\_email** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The email belonging to the staff's emergency contact.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**emergency\_phone** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The phone number belonging to the staff's emergency contact.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**emergency\_relationship** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The staff's relationship to the emergency contact.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**passport\_number** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The staff's passport number.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**passport\_issue\_date** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The staff's passport issue date.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**passport\_issuing\_country** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The staff's passport issuing country, stored as an [ISO Alpha-2 code](https://www.iban.com/country-codes).
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**passport\_expiry\_date** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The staff's passport expiry date.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**reporting\_officer** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The staff's reporting manager.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**job\_title** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The staff's job title.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**location** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The staff's work location.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**staff\_type** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The staff's service type.

Valid values: System, Payroll, HRO, EOR
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**work\_email** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The staff's work email.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**ec\_entity** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The business entity that holds the employment relationship with the staff.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**ec\_type** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The staff's employment contract type.

Valid values: Fixed-term, Indefinite
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**ec\_vendor** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The vendor that employs the staff. Applies to EOR staff only.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**job\_start\_date** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The staff's job start date.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**probation\_end\_date** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The staff's probation end date.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**ec\_start\_date** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The start date for the staff's employment contract. This may differ from the job start date if multiple contracts have been signed in succession.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**ec\_end\_date** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The end date for the staff's employment contract.&#x20;
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**last\_working\_day** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The staff's last working day.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**host\_country** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The staff's host country, stored as an [ISO Alpha-2 code](https://www.iban.com/country-codes). Applies to Expat staff only.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**host\_staff\_type** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The staff's service type in the host country. Applies to Expat staff only.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**host\_ec\_entity** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The business entity that holds the employment relationship with the staff in the host country. Applies to Expat staff only.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**host\_ec\_vendor** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The vendor that employs the staff in the host country. Applies to EOR Expat staff only.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**host\_ec\_type** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The staff's employment contract type in the host country. Applies to Expat staff only.

Valid values: Fixed-term, Indefinite
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**host\_ec\_start\_date** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The start date for the staff's employment contract in the host country. Applies to Expat staff only.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**host\_ec\_end\_date** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The end date for the staff's employment contract in the host country. Applies to Expat staff only.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**job\_scope** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The job scope for the staff.
:::
::::

***

::::VerticalSplit{layout="left"}
:::VerticalSplitItem
**customer\_system\_id** <font color="#a7b4c3">string</font>
:::

:::VerticalSplitItem
The staff's user ID in your company's system.
:::
::::

***

